#!/bin/sh -f
. /opt/CPshared/5.0/tmp/.CPprofile.sh
ECHO=/bin/echo
BASENAME="basename"
DIRNAME="dirname"
TELLPM="/bin/tellpm"
DBSET="/bin/dbset"
CLISH="/bin/clish"
SED="/bin/sed"
PS="/bin/ps"
GREP="/bin/grep"
AWK="/bin/awk"
KILL="/bin/kill"
BASH="/bin/bash"
MKDIR="/bin/mkdir"
READLINK="/usr/bin/readlink"
SHO_PRODUCT="sho_wrapper"
CPPROD_UTIL=${CPDIR}/bin/cpprod_util

#exit codes
SUCCESS=0
FAILED_TO_FIND_PROD_DIR=1


SCRIPT_DIR=`${DIRNAME} "$0"`
SCRIPT_NAME=`${BASENAME} "$0"`
. $SCRIPT_DIR/sho_log.sh >> /dev/null

log_op "LOG" "----- `${DATE}` -----"
log_op "LOG" "start $SCRIPT_NAME"

is_docker_contarner_active()
{
	SHODIR=$(${CPPROD_UTIL} CPPROD_GetProdDir ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ ${SHODIR} = "<nil>" ]; then 
		log_op "ERROR"	"Failed to find ${SHO_PRODUCT} directory"
		exit $FAILED_TO_FIND_PROD_DIR
	fi
	#check if ProdActive flag set
	prodActive=$(${CPPROD_UTIL} CPPROD_IsProdActive ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ ${prodActive} = "1" ]; then
		return 1
	else
		return 0
	fi
}

restart_docker()
{
	res=$(${SHODIR}/scripts/sho_mgmt.sh force-restart)
	if [ $? -ne 0 ]; then 
		log_op "WARN" "Failed to restart docker container"
	fi 
	log_op "LOG" "Succeeded to restart docker container"
	
}

is_docker_contarner_active || restart_docker



	