#!/bin/sh
. /opt/CPshared/5.0/tmp/.CPprofile.sh

BASENAME="basename"
DIRNAME="dirname"
BASH="/bin/bash"
SED="/bin/sed"


SHO_PRODUCT="sho_wrapper"

#exit codes
SUCCESS=0
FAILED_TO_FIND_PROD_DIR=1

CPPROD_UTIL=${CPDIR}/bin/cpprod_util


# shellcheck disable=SC2006
SCRIPT_DIR=$(${DIRNAME} "$0")
SCRIPT_NAME=$(${BASENAME} "$0")


. $SCRIPT_DIR/sho_log.sh >> /dev/null

################################################## Functions ##################################################

is_docker_contarner_active()
{
	SHODIR=$(${CPPROD_UTIL} CPPROD_GetProdDir ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ "${SHODIR}" = "<nil>" ]; then
		log_op "ERROR"	"Failed to find ${SHO_PRODUCT} directory"
		exit $FAILED_TO_FIND_PROD_DIR
	fi
	#check if ProdActive flag set
	prodActive=$(${CPPROD_UTIL} CPPROD_IsProdActive ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ "${prodActive}" = "1" ]; then
		return 1
	else
		return 0
	fi
}

stop_docker()
{
	res=$(${SHODIR}/scripts/sho_mgmt.sh stop)
	if [ $? -ne 0 ]; then
		log_op "WARN" "Failed to stop docker container: ${res}"
	fi
	log_op "LOG" "Succeeded to stop docker container"
}


################################
#	main
################################
log_op "LOG" "----- `${DATE}` -----"
log_op "LOG" "start $SCRIPT_NAME"


is_docker_contarner_active || stop_docker

log_op "SUCCESS" "Finish running $SCRIPT_NAME"
exit $SUCCESS


