#!/bin/sh -f
. /opt/CPshared/5.0/tmp/.CPprofile.sh

ECHO=/bin/echo

BASENAME="basename"
DIRNAME="dirname"
DATE="/bin/date"
SED=/bin/sed
CPPROD_UTIL=${CPDIR}/bin/cpprod_util
DEVELOPMENT_FILE=/var/tmp/sho_wrapper

#exit codes
SUCCESS=0
FAILED_TO_FIND_PROD_DIR=1
FAILED_TO_START_DOCKER=3

SHO_PRODUCT="sho_wrapper"


SCRIPT_DIR=$(${DIRNAME} "$0")
SCRIPT_NAME=$(${BASENAME} "$0")

. $SCRIPT_DIR/sho_log.sh >> /dev/null

################################################## Functions ##################################################

is_docker_contarner_active()
{
	SHODIR=$(${CPPROD_UTIL} CPPROD_GetProdDir ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ "${SHODIR}" = "<nil>" ]; then
		log_op "ERROR"	"Failed to find ${SHO_PRODUCT} directory"
		exit $FAILED_TO_FIND_PROD_DIR
	fi
	#check if ProdActive flag set
	prodActive=$(${CPPROD_UTIL} CPPROD_IsProdActive ${SHO_PRODUCT} | ${SED} "s/ //g")
	if [ "${prodActive}" = "1" ]; then
		return 0
	else
		return 1
	fi
}

verify_docker_up()
{
	if [ -e $DEVELOPMENT_FILE ]; then
		return 0
	else
		ret=$(docker ps   --filter 'status=running' --filter NAME=sho --format "{{.Names}}")
		if [ $? -ne 0 -o "x$ret" = "xsho" ]; then
			return 0
		else 
			return 1
		fi
	fi
}
################################
#	main
################################
log_op "LOG" "----- `${DATE}` -----"
log_op "LOG" "start $SCRIPT_NAME"


if is_docker_contarner_active; then 
	if verify_docker_up; then 
		log_op  "docker is UP"
		exit $SUCCESS		
	else
		log_op  "docker is restarting "
		exit $FAILED_TO_START_DOCKER
	fi 
fi
exit $SUCCESS		
