#!/bin/sh
. /opt/CPshared/5.0/tmp/.CPprofile.sh >> /dev/null

BASENAME="basename"
DIRNAME="dirname"
TELLPM="/bin/tellpm"
DBSET="/bin/dbset"
CLISH="/bin/clish"
SED="/bin/sed"
PS="/bin/ps"
GREP="/bin/grep"
AWK="/bin/awk"
KILL="/bin/kill"
BASH="/bin/bash"
MKDIR="/bin/mkdir"
READLINK="/usr/bin/readlink"
SHO_PRODUCT="sho_wrapper"
CPPROD_UTIL=${CPDIR}/bin/cpprod_util

#exit codes
SUCCESS=0
FAILED_TO_RUN_REGISTER_SCRIPT=2

SCRIPT_DIR=`${DIRNAME} "$0"`
SCRIPT_NAME=`${BASENAME} "$0"`
. $SCRIPT_DIR/sho_log.sh >> /dev/null

log_op "LOG" "----- `${DATE}` -----"
log_op "LOG" "start $SCRIPT_NAME"


res=$(${CPPROD_UTIL} CPPROD_GetValue Products ${SHO_PRODUCT} 1)
if [ "X${res}" = "X1"  ]
then
    log_op "LOG" "Running installation - upgrade flow"
else
    # Clean installation - update machine registry with  product
    log_op "LOG" "Running clean installation - will update machine registry with product info"
    CURR_DIR=$($DIRNAME "$($READLINK -f "${BASH_SOURCE[0]}")")
	$BASH "${CURR_DIR}/sho_add_registry.sh"
    ret=$?
    if [ $ret -eq 0 ]
    then
        log_op "LOG" "Successfully updated machine registry with  product info"
    else
        log_op "ERROR" "Failed to update machine registry with  product, aborting installation..."
        exit $FAILED_TO_RUN_REGISTER_SCRIPT
    fi
fi

log_op "SUCCESS" "Finish running $SCRIPT_NAME"
exit $SUCCESS