#################################################################################
#
# It describe the procedures when package is removed from the machine
#
#################################################################################

REG_NAME=sho_wrapper
GREP=/bin/grep
MV=/bin/mv
DIRNAME=dirname
BASENAME=basename
XINSTALL=${CPDIR}/bin/XInstall

SCRIPT_DIR=`${DIRNAME} "$0"`
SCRIPT_NAME=`${BASENAME} "$0"`
. $SCRIPT_DIR/sho_log.sh >> /dev/null

#======================================
# Set umask for this session...
log_op "LOG" "#####################################################"
log_op "LOG" "Start preremove script..."
log_op "LOG" "Set umask for this session..."
 
umask 007
#=============================================================================
# 1. Check Dependent Packages

log_op "LOG" "1. Check Dependent Packages"

RC=`$XINSTALL CheckDepPkg $REG_NAME`

if [ "$RC" != "" ] ; then
    log_op "ERROR" "************************************************************************************************************"
    log_op "ERROR" "$RC"
    log_op "ERROR" "Uninstall aborted.."
    log_op "ERROR" "************************************************************************************************************"
    log_op "ERROR" "Please ignore the following error message:"
    exit 1
else
    log_op "LOG" "There are no packages dependent on:"
    log_op "LOG" "Check Point CoreUploader."
fi
#=============================================================================

#================================================================================================
# 2. Remove keys from Check Point registry

log_op "LOG" " 2. Remove keys from Check Point registry" >>/dev/null

$CPDIR/bin/ckp_regedit -d //SOFTWARE//CheckPoint//$REG_NAME				1>/dev/null 2>&1
$CPDIR/bin/ckp_regedit -d //SOFTWARE//CheckPoint//Products $REG_NAME	1>/dev/null 2>&1

if [ -f /opt/CPshared/5.0/tmp/.CPprofile.sh ] ; then
    . /opt/CPshared/5.0/tmp/.CPprofile.sh
else
    log_op "ERROR" "***********************************************************"
    log_op "ERROR" "Can not find your /opt/CPshared/5.0/tmp/.CPprofile.sh file"
    log_op "ERROR" "Unregister Aborted..."
    log_op "ERROR" "***********************************************************"
    exit 1
fi

log_op "LOG" "Removing SHODIR from CPprofile..."

if [ -n "`$GREP -i SHODIR ${CPDIR}/tmp/.CPprofile.csh`" ]; then
    $GREP -vi SHODIR ${CPDIR}/tmp/.CPprofile.csh > ${CPDIR}/tmp/.CPprofile.csh.tmp
    $MV  ${CPDIR}/tmp/.CPprofile.csh.tmp  ${CPDIR}/tmp/.CPprofile.csh
fi

if [ -n "`$GREP -i SHODIR ${CPDIR}/tmp/.CPprofile.sh`" ]; then
    $GREP -vi SHODIR ${CPDIR}/tmp/.CPprofile.sh > ${CPDIR}/tmp/.CPprofile.sh.tmp
    $MV  ${CPDIR}/tmp/.CPprofile.sh.tmp  ${CPDIR}/tmp/.CPprofile.sh
fi


log_op "SUCCESS" "Finish running $SCRIPT_NAME"

exit 0